from practicum import McuBoard

RQ_SET_LED    = 0
RQ_GET_SWITCH = 1
RQ_GET_LIGHT  = 2

####################################
class PeriBoard(McuBoard):

    ################################
    def setLed(self, led_no, led_val):
        '''
        Set status of LED led_no on peripheral board to led_val
        '''
        self.usb_write(RQ_SET_LED,index=led_no,value=led_val)

    ################################
    def setLedValue(self, value):
        '''
        Display value's 3 LSBs on peripheral board's LEDs
        '''
        a=value
        
        self.usb_write(RQ_SET_LED,index=0,value=0)
        self.usb_write(RQ_SET_LED,index=1,value=0)
        self.usb_write(RQ_SET_LED,index=2,value=0)
        
         
        if(a & 0b00000001 == 1 ):
        	self.usb_write(RQ_SET_LED,index=0,value=1)
        
        if(a & 0b00000010 == 2 ):
        	self.usb_write(RQ_SET_LED,index=1,value=1)
        
        if(a & 0b00000100 == 4 ):
        	self.usb_write(RQ_SET_LED,index=2,value=1)	

    ################################
    def getSwitch(self):
        '''
        Return a boolean value indicating whether the switch on the peripheral
        board is currently pressed
        '''
        if (self.usb_read(RQ_GET_SWITCH,length=1)[0] == 1):
        	return True
        return False
        

    ################################
    def getLight(self):
        '''
        Return the current reading of light sensor on peripheral board
        '''
        t = self.usb_read(RQ_GET_LIGHT,length=2)
        return 256*t[1] + t[0]
        
    def TestUSB(self):
	tmp = self.usb_read( 2 )
	print tmp
        
    
        
       
